*
*  X2WEXIST.PRG
*  Test for the existence of a Windows
*  application by checking to see if the
*  passed main window title exists 
*
*  Copyright (c) 1996  (Public Domain) MaxTech, Inc. 
*  Copyright (c) 1996  (Public Domain) Drew Speedie
*                      MaxTech, Inc.
*                      8721C Plantation Lane, Suite 302
*                      Manassas, VA  22110
*                      703-369-1759
*  Author:  Drew Speedie
*
*  Usage:
*    lcTitle = "My Application"
*    IF x2wexist(lcTitle)
*      do x3winmsg with lcTitle + ;
*           " is already running in another session " + ;
*           "-- multiple sessions are now allowed"
*      quit 
*    ENDIF
*    
*    ? x2wexist("PROGRAM MANAGER")
*    ? x2wexist("microsoft word - document1")
*    ? x2wexist("Microsoft FoxPro")
*  
*  
*  Parameters
*    tcWinTitle (R) Window title to be checked (case insensitive)
*
parameters tcWinTitle
IF !"FOXTOOLS"$set("LIBRARY")
  IF file(sys(2004)+"FOXTOOLS.FLL")
    * in the FPW startup directory:
    set library to sys(2004) + "foxtools.fll" additive
   ELSE 
    * somewhere in the FPW path:
    set library to FOXTOOLS.FLL additive
  ENDIF
ENDIF
private lnRegFn, lnWinClass, lnHandle
*
*  NOTE:
*  Joe Bleicher reports that without an inkey delay like the following:
*    =inkey(somedelay)  
*  on his machine he gets kicked out of FoxPro and back to Program
*  Manager, sometimes with an Unhandled Exception Error
*
lnRegFn    = regfn("FindWindow","CC","I")
lnWinClass = 0
lnHandle   = callfn(lnRegFn, lnWinClass, tcWinTitle)
return lnHandle > 0
 